Printer Error: M1 Mac mini + Canon Pro9000 Mkii

Started 2 months ago | Discussions thread
ForumParentFirstPrevious
Flat view
Kev The Doc Senior Member • Posts: 2,428
Printer Error: M1 Mac mini + Canon Pro9000 Mkii

Hi All,

I'm trying to use my trusty old Canon Pro9000 Mkii printer with my M1 Mac Mini for the first time and I'm getting the below print error?

I've also tried printing from Affinity and get the same message so I don't think it's a Qimage One software issue.

When installing the printer driver I noticed that the Canon website says that this printer is not supported with macOS after 10.13 (High Sierra), ie. there is no printer driver for recent MacOS's? I installed the latest driver version available (16.20.0.0) and it seemed to install ok and my Mac recognizes the printer, but is this what's causing the error I'm getting? Is there a workaround to using this printer with recent MacOS's or do I need a new printer?

Any help appreciated.

Kevin

 Kev The Doc's gear list:Kev The Doc's gear list
DxO One Sony a7R II Sony a9 Zeiss Loxia 21mm F2.8 Sony 1.4x Teleconverter (2016) +6 more
ForumParentFirstPrevious
Flat view
ForumParentFirstPrevious
Keyboard shortcuts:
FForum PPrevious NNext WNext unread UUpvote SSubscribe RReply QQuote BBookmark MMy threads
Color scheme? Blue / Yellow